<?php
	$fkCategoriaObrigacao = (int)$_POST['categoriaObrigacao'];
	$titulo = $_POST['titulo'];
	$descricao = $_POST['descricao'];
	$data = dataInsertDataBase($_POST['data']);
	$id = $_POST['id'];

	$updateQuery = $db->prepare("
		UPDATE obrigacoes SET 
			fkCategoriaObrigacao = :fkCategoriaObrigacao,
			titulo = :titulo,
			data = :data,
			descricao = :descricao
		WHERE id = :id
	");

	$updateQuery->bindParam(':fkCategoriaObrigacao', $fkCategoriaObrigacao, PDO::PARAM_INT);
	$updateQuery->bindParam(':titulo', $titulo, PDO::PARAM_STR);
	$updateQuery->bindParam(':descricao', $descricao, PDO::PARAM_STR);
	$updateQuery->bindParam(':data', $data, PDO::PARAM_STR);
	$updateQuery->bindParam(':id', $id, PDO::PARAM_INT);

	$result = $updateQuery->execute();
?>
<table>
	<tr>
		<td>
			<?php echo ($result) ? 'Obrigação atualizada com sucesso.' : 'Houve um erro ao atualizar a obrigação.' ?>
			<meta http-equiv="refresh" content="3; url=miolo.php?miolo=obrigacoes&acao=listar" />
		</td>
	</tr>
</table>